# Mixin: Tags

## Tags

Provides class instance tagging and tag operation methods.

Source:
  - Mixin.Tags.js, line 10

### Methods

- (static) tagAdd(name) → {boolean}
- (static) tagDrop(name, callback) → {boolean}
- (static) tagLookup(name) → {Array}
- (static) tagRemove(name) → {boolean}

#### (static) tagAdd(name) → {boolean}

Tags a class instance for later lookup.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | String | The tag to add.

Source:
  - Mixin.Tags.js, line 16

##### Returns:

Type
  boolean

#### (static) tagDrop(name, callback) → {boolean}

Drops all instances that are tagged with the passed tag name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | String | The tag to lookup.
`callback` | function | Callback once dropping has completed for all instances that match the passed tag name.

Source:
  - Mixin.Tags.js, line 77

##### Returns:

Type
  boolean

#### (static) tagLookup(name) → {Array}

Gets an array of all instances tagged with the passed tag name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | String | The tag to lookup.

Source:
  - Mixin.Tags.js, line 66

##### Returns:

The array of instances that have the passed tag.

Type
  Array

#### (static) tagRemove(name) → {boolean}

Removes a tag from a class instance.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | String | The tag to remove.

Source:
  - Mixin.Tags.js, line 45

##### Returns:

Type
  boolean